# class Resolv::DNS::Resource::IN::SRV

`SRV` resource record defined in RFC 2782

These records identify the hostname and port that a service is available at.

### Constants

ClassValue
TypeValue

### Attributes

port [R]

The port on this target host of this service.

The range is 0-65535.

priority [R]

The priority of this target host.

`A` client MUST attempt to contact the target host with the lowest-numbered priority it can reach; target hosts with the same priority SHOULD be tried in an order defined by the weight field. The range is 0-65535. Note that it is not widely implemented and should be set to zero.

target [R]

The domain name of the target host.

`A` target of “.” means that the service is decidedly not available at this domain.

weight [R]

`A` server selection mechanism.

The weight field specifies a relative weight for entries with the same priority. Larger weights SHOULD be given a proportionately higher probability of being selected. The range of this number is 0-65535. Domain administrators SHOULD use Weight 0 when there isn’t any server selection to do, to make the RR easier to read for humans (less noisy). Note that it is not widely implemented and should be set to zero.

### Public Class Methods

new (priority, weight, port, target)
Source

    # File lib/resolv.rb, line 2757
    def initialize(priority, weight, port, target)
      @priority = priority.to_int
      @weight = weight.to_int
      @port = port.to_int
      @target = Name.create(target)
    end

Create a `SRV` resource record.

See the documentation for `priority`, `weight`, `port` and `target` for `priority`, `weight`, +port and `target` respectively.